Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDTRANSACTIONschemes

    java.lang.Object
      java.lang.Enum<CDTRANSACTIONschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTRANSACTIONschemes

All Implemented Interfaces:
  Serializable, Comparable<CDTRANSACTIONschemes>

    public enum CDTRANSACTIONschemes

extends Enum<CDTRANSACTIONschemes>

Java class for CD-TRANSACTIONschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTIONschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-TRANSACTION"/>
         <enumeration value="CD-TRANSACTION-CARENET"/>
         <enumeration value="CD-TRANSACTION-MAA"/>
         <enumeration value="CD-CHAPTER4APPENDIX"/>
         <enumeration value="CD-TRANSACTION-REG"/>
         <enumeration value="CD-TRANSACTION-MYCARENET"/>
         <enumeration value="CD-TRANSACTION-TYPE"/>
         <enumeration value="CD-HUBSERVICE"/>
         <enumeration value="CD-DIARY"/>
         <enumeration value="LOCAL"/>
         <enumeration value="CD-LABORESULT-TYPE"/>
         <enumeration value="CD-TRANSACTION-INC-NOT"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_CHAPTER_4_APPENDIX`
`CD_DIARY`
`CD_HUBSERVICE`
`CD_LABORESULT_TYPE`
`CD_TRANSACTION`
`CD_TRANSACTION_CARENET`
`CD_TRANSACTION_INC_NOT`
`CD_TRANSACTION_MAA`
`CD_TRANSACTION_MYCARENET`
`CD_TRANSACTION_REG`
`CD_TRANSACTION_TYPE`
`LOCAL`

Method Summary
`static CDTRANSACTIONschemes` | `fromValue(String v)`
`String` | `value()`
`static CDTRANSACTIONschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTRANSACTIONschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_TRANSACTION

    public static final CDTRANSACTIONschemes CD_TRANSACTION

### CD_TRANSACTION_CARENET

    public static final CDTRANSACTIONschemes CD_TRANSACTION_CARENET

### CD_TRANSACTION_MAA

    public static final CDTRANSACTIONschemes CD_TRANSACTION_MAA

### CD_CHAPTER_4_APPENDIX

    public static final CDTRANSACTIONschemes CD_CHAPTER_4_APPENDIX

### CD_TRANSACTION_REG

    public static final CDTRANSACTIONschemes CD_TRANSACTION_REG

### CD_TRANSACTION_MYCARENET

    public static final CDTRANSACTIONschemes CD_TRANSACTION_MYCARENET

### CD_TRANSACTION_TYPE

    public static final CDTRANSACTIONschemes CD_TRANSACTION_TYPE

### CD_HUBSERVICE

    public static final CDTRANSACTIONschemes CD_HUBSERVICE

### CD_DIARY

    public static final CDTRANSACTIONschemes CD_DIARY

### LOCAL

    public static final CDTRANSACTIONschemes LOCAL

### CD_LABORESULT_TYPE

    public static final CDTRANSACTIONschemes CD_LABORESULT_TYPE

### CD_TRANSACTION_INC_NOT

    public static final CDTRANSACTIONschemes CD_TRANSACTION_INC_NOT

Method Detail

### values

    public static CDTRANSACTIONschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTRANSACTIONschemes c : CDTRANSACTIONschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTRANSACTIONschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTRANSACTIONschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.